/* Copyright (c) 2011, Geert Bergman (geert@scrivo.nl)
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of "Scrivo" nor the names of its contributors may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: BaseProperty.js 842 2013-08-19 22:54:50Z geert $
 */

//"use strict";

SUI.editor.properties.BaseProperty = SUI.defineClass({

	baseClass: SUI.AnchorLayout,

	initializer: function(arg) {

		SUI.editor.properties.BaseProperty.initializeBase(this, arg);
		var that = this;

		this.height(this.HEIGHT);

		this.el().style.overflow = "visible";

		this.typeData = {};
		if (arg.typeData) {
			this.typeData = arg.typeData;
		}

	},

	HEIGHT: 20,
	compare: "",

	getValue: function() {
		return this.property.el().value;
	},

	setValue: function(val) {
		this.property.el().value = val || "";
		this.compare = this.getValue();
	},

	getUnitHeight: function() {
		return 1;
	},

	isFullWidth: function() {
		return false;
	},

	isChanged: function() {
		return this.compare != this.getValue();
	}

});
